Description

After creating status workflow for single combination of role and tracker there is an excellent feature of copying it to another one.

Thing is, in my company we use single workflow for all projects and any change requires quite large number of copies (even in

default installation it's 3 roles against 3 trackers).

The question is: can you implement a feature to "copy this workflow to all other combinations of role and tracker"? Even better

equivalent: ability to create "reference workflow", which if enabled would replace all workflow combinations settings.

This would really make our work with Redmine order of magnitude better. It is very flexible, but in this case a little bit too much. :)

History

#1 - 2014-12-01 22:36 - Go MAEDA

"Bulk edition of workflow"(#16164) which have been introduced in Redmine 2.6 may help you. Now you can select more than one tracker/role when

you edit workflow.

#2 - 2014-12-02 22:25 - Jean-Philippe Lang

- Status changed from New to Closed

Yes, workflows can be edited for all trackers/roles at once. I'm closing it, please reopen if this feature doesn't meet your requirements.

#3 - 2014-12-03 01:56 - Tomasz Kowalczyk

I'm on Redmine 2.3.x, so I don't have this feature. Thanks for your replies, seems like it's time for upgrade. :)

#4 - 2014-12-17 13:16 - Tomasz Kowalczyk

Just upgraded to 2.6.0 and it works like a charm. God, how easy it is now! Thank you Jean-Philippe, thank you all!
